Bug 13977 - ldb should check specifically for new pack formats
ldb should check specifically for new pack formats
Status: NEW
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.10.4
All All
: P5 normal
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-29 23:19 UTC by Andrew Bartlett
Modified: 2019-05-29 23:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2019-05-29 23:19:41 UTC
Rather than just failing (or worse, see bug 13959) to parse new database versions, ldb should pro-actively inquire as to the pack format used in the DB during startup.